<?php

/**
 * @package Topic Author
 * @author phantom
 * @copyright (c) 2014 phantom
 * @license Mozilla Public License version 1.1 http://www.mozilla.org/MPL/1.1/.
 *
 * @version 1.0
 *
 */

if (!defined('ELK'))
	die('No access...');

/**
 * integrate_general_mod_settings
 */
function topic_author_settings(&$config_vars)
{
	global $txt;

	loadLanguage('TopicAuthor');

	$config_vars = array_merge($config_vars, array(
		'',
		array('check', 'topic_author_enable'),
		array('select', 'topic_author_icon', 
			array('comment' => $txt['topic_author_icon_comment'], 'star' => $txt['topic_author_icon_star'])
		),
	));
}

/**
 * integrate_prepare_display_context
 */
function topic_author(&$output, &$message)
{
	global $modSettings, $context;

	static $added = false;

	if (!empty($modSettings['topic_author_enable']) && $added === false && $output['member']['id'] == $context['topic_starter_id'])
	{
		$icon = !empty($modSettings['topic_author_icon']) ? $modSettings['topic_author_icon'] : 'comment';
		$output['member']['name'] .= '&nbsp;<i class="fa fa-'.$icon.'"></i>';
		$added = true;
	}
}
